> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 即梦文生图3.0

文生图3.0是即梦同源的文生图能力，在文字响应准确度、图文排版、层次美感和语义理解能力上相较之前版本均有显著提升，人像质感更逼真，且支持输出高清大图。此外，在文字响应更精准的基础下，还支持响应大小字、各类艺术字体和不同字重。

* 模型ID：`jimeng_t2i_v30`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=jimeng\&type=image)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持画图 API 中的以下参数：

  * `negative_prompt`
  * `image`
  * `strength`
  * `aspect_ratio`
  * `quality`
  * `style_preset`
  * `output_format`
  * `mask`
  * `background`
  * `response_format`
  * `watermark`

  附：[即梦文生图3.0 官方 API 文档](https://www.volcengine.com/docs/85621/1616429)
</Note>

即梦文生图3.0 可以通过 `size` 字段设置图像生成的宽高：

推荐可选的宽高比为：

* 标清1K：

| 宽高比  | 像素值       |
| ---- | --------- |
| 1:1  | 1328x1328 |
| 4:3  | 1472x1104 |
| 16:9 | 1664x936  |
| 3:2  | 1584x1056 |
| 21:9 | 2016x864  |

* 高清2K：

| 宽高比  | 像素值       |
| ---- | --------- |
| 1:1  | 2048x2048 |
| 4:3  | 2304x1728 |
| 16:9 | 2560x1440 |
| 3:2  | 2496x1664 |
| 21:9 | 3024x1296 |

宽高像素值范围在`[512x512, 2048x2048]`之间

### 文生图

即梦文生图3.0,可以通过文本提示生成图片,enhance\_prompt开启文本扩写，会针对输入的文本进行扩写优化：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"jimeng_t2i_v30",
    "prompt": "画一只可爱的小狗在玩耍",
    "size": "1328x1328",
    "enhance_prompt": true
}'
```

响应是一个 JSON 对象，包含生成图片的 URL：

```json theme={null}
{
    "model": "jimeng_t2i_v30",
    "task_id": "7cb6fa1b-ee29-48ae-9391-7e0bd6bad331",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2025/12/31/df0af75b0eba28f93ea6bcce020d004c.jpeg"
        }
    ]
}
```
